Bug 781285 - [faf9099bb50d4d2c1a9fe8d3232d541b3f68bc58] improve replace-brick cli outputs.
[faf9099bb50d4d2c1a9fe8d3232d541b3f68bc58] improve replace-brick cli outputs.
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.3-beta
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-13 02:45 EST by Rahul C S
Modified: 2013-12-18 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 03:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2012-01-13 02:45:03 EST
Description of problem:

Replace-brick has not been started. Any operation done using replace-brick does not report that replace-brick has been started.

root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 
Usage: volume replace-brick <VOLNAME> <BRICK> <NEW-BRICK> {start|pause|abort|status|commit [force]}

root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 commit
replace-brick commit failed

root@Dagobah:~# gluster volume info backup
 
Volume Name: backup
Type: Distribute
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: dagobah:/tmp/brick
Brick2: dagobah:/tmp/brick1

root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 abort
replace-brick abort failed

root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 pause
replace-brick pause failed

root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 commit force
incorrect source or destination brick
(This error message does not make sense as to why commit force has failed.)

root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 start
replace-brick started successfully


Only 
root@Dagobah:~# gluster volume replace-brick backup dagobah:/tmp/brick dagobah:/tmp/brick2 status
shows proper message saying that replace-brick is not started.
Comment 2 Amar Tumballi 2013-10-24 03:06:28 EDT
planning to remove replace-brick... (http://review.gluster.org/6031) and hence marking the bug as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.